Bug 103457 - Anaconda graphical mode install not working
Anaconda graphical mode install not working
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-08-30 22:27 EDT by Stephane Gagnon
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-14 18:16:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/tmp/X.log from the install process (1.60 KB, text/plain)
2003-09-05 13:16 EDT, Stephane Gagnon
no flags Details
/tmp/syslog from the install process (9.94 KB, text/plain)
2003-09-05 13:17 EDT, Stephane Gagnon
no flags Details
/tmp/anaconda.log from the install process (4.20 KB, text/plain)
2003-09-05 13:17 EDT, Stephane Gagnon
no flags Details

  None (edit)
Description Stephane Gagnon 2003-08-30 22:27:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
After bootig from the installation CD, and selecting the graphical 
installation, anaconda loads up and the display becomes blank after switching 
to graphical mode.  It seems possible to navigate blindly throught the pannels 
using the keyboard (CD activity) after the screen becomes blank.  Seems like 
anaconda is still running ok, but the video card is not in a valid mode.

The text mode install works fine.

The graphical installation works fine with RH 8.0

the .iso files all has the right md5sum and tests ok at the beginning of the 
installation process.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot from cdrom (cd test OK)
2.Press enter on the command line to select graphical mode installation
3.a blank screen appears when the display is put in graphical mode
    

Actual Results:  It seems possible to navigate blindly throught the 
installation once the screen becomes blank. 

Additional info:

The PC is a Dell dimansion 8300 (Pentium 4)
512 MB RAM
GeForce FX 5200 (128MB)
Dell M992 Monitor
Comment 1 Bill Nottingham 2003-08-31 22:16:39 EDT
If you install in text mode, does X work ok afterwards?
Comment 2 Stephane Gagnon 2003-09-03 15:09:13 EDT
When I wrote earlier that the video card might be in the wrong mode, well I 
just redid an install and noticed that the monitor goes in power saving mode.

When I boot, at some point, the system goes to graphical mode and again the 
display goes in power saving mode. Then the system hangs there.  if I do CTRL-
ALT-F1 I see that the boot process stopped at: Starting firstboot
at this point there is no terminal available for me to login.

Is firstboot trying to access the monitor while it is in power saving mode?
This might go into another bug report...
Comment 3 Michael Fulbright 2003-09-05 12:31:10 EDT
Try adding 'resolution=1024x768' to the boot command line.
Also 'resolution=640x480' might help if that doesn't work.
Comment 4 Stephane Gagnon 2003-09-05 13:09:03 EDT
I have tried both command line arguments, but the display always goes in power 
saving mode.
Comment 5 Stephane Gagnon 2003-09-05 13:16:05 EDT
Created attachment 94239 [details]
/tmp/X.log from the install process

Adding log from X server
Comment 6 Stephane Gagnon 2003-09-05 13:17:11 EDT
Created attachment 94240 [details]
/tmp/syslog from the install process
Comment 7 Stephane Gagnon 2003-09-05 13:17:58 EDT
Created attachment 94241 [details]
/tmp/anaconda.log from the install process
Comment 8 Michael Fulbright 2003-09-08 15:32:00 EDT
This might be an ACPI issue with the kernel perhaps?
Comment 9 Stephane Gagnon 2003-09-09 22:14:16 EDT
just tried booting and the graphical install with acpi=off kernel command line 
and still does the same...
Comment 10 Stephane Gagnon 2003-10-14 18:16:38 EDT
Test3 installed without any problem.  Seems the latest release solves this 
issue.

Note You need to log in before you can comment on or make changes to this bug.